

GET     /tournaments/?...               -> TournamentsService.read(query)
GET     /tournaments/{tournamentId}     -> TournamentsService.read(query, tournamentId) // OR query.tournamentId
POST    /tournaments                    -> TournamentsService.create(query) // WHERE IS BODY!!!
PUT     /tournaments/{tournamentId}     -> TournamentsService.update(query, tournamentId)
PUT     /tournaments/?...               -> TournamentsService.update(query)
PATCH   /tournaments/{tournamentId}     -> TournamentsService.patch(query, tournamentId)
PATCH   /tournaments/?...               -> TournamentsService.update(query)
DELETE  /tournaments/{tournamentId}     -> TournamentsService.delete(query, tournamentId)
DELETE  /tournaments/?...               -> TournamentsService.delete(query)

GET     /tournaments/{tournamentId}/tanks             -> TournamentsService.listTanks()
GET     /tournaments/{tournamentId}/tanks/{tankId}    -> TournamentsService.readTanks()
POST    /tournaments/{tournamentId}/tanks             -> TournamentsService.createTanks()
PUT     /tournaments/{tournamentId}/tanks/{tankId}    -> TournamentsService.updateTanks()
PATCH   /tournaments/{tournamentId}/tanks/{tankId}    -> TournamentsService.patchTanks()
DELETE  /tournaments/{tournamentId}/tanks/{tankId}    -> TournamentsService.deleteTanks()
