const microset = require('../index.js');

class TestService extends microset.Service {
  async init() {
    this.expose('test');
    this.logInfo(`My name is ${this.name}:${this.id}`);

    await new Promise(resolve => setTimeout(() => resolve(), 1000+4000*Math.random()));

  }

  async test() {
    return "Hello from service! :)";
  }

}
module.exports = TestService;
